Retrieve all Certificate
This endpoint enables retrieving all Certificate using pagination and optional filters.
The token can be generated using the Authentication API.
The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100Filter by the common name (DNS).
www.example.comFilter by autoCertificateID.
b471cd03-ef51-52c5-91a5-49195b0a04d4Returned all requested Certificate successfully.
Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.
ID of the list of Certificate resources.
e7057759-25b4-5a26-b2f2-4c41e61f1044The type of the resource.
The URL of the list of Certificate resources.
/certificatesThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /certificates HTTP/1.1
Host: certificate-manager.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "e7057759-25b4-5a26-b2f2-4c41e61f1044",
"type": "collection",
"href": "/certificates",
"items": [
{
"id": "cbee81a3-9389-57ba-bc50-393adcfca141",
"type": "certificate",
"href": "/certificates/cbee81a3-9389-57ba-bc50-393adcfca141",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"message": "Issue in progress.",
"autoCertificate": "b471cd03-ef51-52c5-91a5-49195b0a04d4",
"lastIssuedCertificate": "cbee81a3-9389-57ba-bc50-393adcfca141",
"expired": false,
"notBefore": "2021-12-31T23:59:59Z",
"notAfter": "2022-12-31T23:59:59Z",
"serialNumber": "33:00:00:04:5F:2B:0D:65:9D:71:72:3E:7D:00:00:00:00:04:5F",
"commonName": "www.example.com",
"subjectAlternativeNames": [
"app.example.com"
]
},
"properties": {
"name": "My Certificate",
"certificate": "-----BEGIN CERTIFICATE-----\nMIIE5TCCAs2gAwIBAgIBATANBgkqhkiG9w0BAQsFADA2MQswCQYDVQQGEwJSTzEK\n-----END CERTIFICATE-----\n",
"certificateChain": "-----BEGIN CERTIFICATE-----\nMIIDoTCCAokCFDrAUWffdxWJVz2Axl9lp/4xiUteMA0GCSqGSIb3DQEBCwUAMIGG\n-----END CERTIFICATE-----\n"
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?